=== debian/changelog ===
golang-github-gofiber-utils (2.0.2-1) unstable; urgency=medium

  * Initial upload to sid, needed for gatus (Closes: #1128934)
    via golang-githubg-gofiber-fiber 3.x (Closes: #1128932).

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Feb 2026 17:20:37 +0100
