=== debian/control ===
Source: golang-github-gofiber-utils
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 dpkg-build-api (= 1),
 golang-any,
 golang-github-fxamacker-cbor-dev,
 golang-github-google-uuid-dev,
 golang-github-stretchr-testify-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/gofiber/utils
Vcs-Browser: https://forgejo.debian.net/golang/golang-github-gofiber-utils
Vcs-Git: https://forgejo.debian.net/golang/golang-github-gofiber-utils
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/gofiber/utils

Package: golang-github-gofiber-utils-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Express inspired web framework - additional utility functions (Go library)
 Fiber is a web framework, created with the idea of minimalism and follows the
 UNIX way. It is inspired by Express, the popular web framework for Node.js.
 .
 This package contains a collection of common functions for Fiber.
