=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=debian/_build --buildsystem=golang

override_dh_auto_test:
	# disabled (needs further depends)

execute_after_dh_auto_install:
	rm -rf debian/golang-github-gofiber-utils-dev/usr/bin
